Update a View

Hand off to an LLM

Update a view. Updates create a new version.

The previous version remains addressable and immutable. The new configuration is fully replacing — pass the complete view body, not a patch. The version number is auto-incremented.

PUT
/v3/views/{view_id}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

view_id*string

Unique identifier of the view to update.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.bem.ai/v3/views/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "columns": [      {        "name": "string",        "valueSchemaPath": [          "string"        ],        "displayOrderIndex": 0      }    ],    "filters": [      {        "columnName": "string",        "filterType": "equals_string"      }    ],    "aggregations": [      {        "name": "string",        "function": "count"      }    ],    "functions": [      {}    ]  }'
{
  "viewID": "string",
  "name": "string",
  "description": "string",
  "currentVersionNum": 0,
  "columns": [
    {
      "name": "string",
      "valueSchemaPath": [
        "string"
      ],
      "displayOrderIndex": 0
    }
  ],
  "filters": [
    {
      "columnName": "string",
      "filterType": "equals_string",
      "string": "string",
      "number": 0.1
    }
  ],
  "aggregations": [
    {
      "name": "string",
      "function": "count",
      "aggregateColumnName": "string",
      "groupByColumnName": "string",
      "displayType": "table"
    }
  ],
  "functions": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}